Софтуерно Инженерство
Loading...
+ Нов въпрос
ivan.d.uzunov avatar ivan.d.uzunov 19 Точки

Проблем с инсталацията на Microsoft.EntityFrameworkCore.SqlServer

Привет Колеги!

След като влизам пред Мanage Nuget Packages и пускам да се инсталира Microsoft.EntityFrameworkCore.SqlServer ми изписва   "Package restore failed. Rolling back package changes for .{Името на проекта}". Защо така се получава?

 

Благодаря.

0
C# Web Development Basics
martinhadzhiev avatar martinhadzhiev 18 Точки
Best Answer

Ако нямаш .NET Core 2.0 което е излезнало скоро ще ти показва така. Влез на dot.net и си изтегли последния Core 2.0 след това влез в настройките на проекта и промени версията от 1.1.2 (не съм сигурен) на 2.0. След това опитай пак и би трябвало да стане.

2
YordanDringov avatar YordanDringov 26 Точки

ще може ли да дадете някакъв Path за влизане в настройките на проекта или screenshot защото и аз имам същия проблем и не мога да се ориентирам как да го оправя.

0
ivan.d.uzunov avatar ivan.d.uzunov 19 Точки

Дясно копче на проекта и Properties ;)

0
YordanDringov avatar YordanDringov 26 Точки

не ми го дава като опция, въпреки че инсталирах sdk .net core 2.0.... ще опитам да рестартирам всичко за да видя дали няма да го захапе...

0
IvanKrastev1 avatar IvanKrastev1 2 Точки

И при мен е така :(  Къде ли е проблема ?

0
Soprin avatar Soprin 105 Точки

и при мен е така и от падащото меню избирам предпоследната версия и работи, но 2.0 не става по някаква причина

0
IvanKrastev1 avatar IvanKrastev1 2 Точки

1.1.3 ли избираш ?

0
Soprin avatar Soprin 105 Точки

Да.

0
georgi.stoyanov avatar georgi.stoyanov 18 Точки

Имах същия проблем, VS не ми засичаше, че съм инсталирал .net core 2.0.След като ъпдейтнах  VS до последната версия се оправи.

0
Pilgrimage avatar Pilgrimage 513 Точки

Колегата martinhadzhiev го е описал много точно.

И аз имах този проблем : 
Нов модул "C# Web" и съвместимост с Windows 7

Въпреки, че VS2017 ми беше обновен до последно, и имах инсталирано всичко необходимо, при създаване на нов проект, той по подразбиране се създаваше с Target Framework : .NET Core 1.1
Трябва да се отиде в пропъртито на проекта и да се зададе .NET Core 2.0 (за всички проекти в солюшъна).

Интересното е, че след като го направих веднъж, новите ми проекти вече се създаваха с Target Framework : .NET Core 2.0.0, дори и в нови солюшъни.

1
22/09/2017 13:36:26
ivan.d.uzunov avatar ivan.d.uzunov 19 Точки

А някаква помощ с настройките на SQL SERVER може ли? 

Като зареждам приложението ми изписва :

Unhandled Exception: System.Data.SqlClient.SqlException: A network-related or instance-specific error occurred while establishing a connection to SQL Server. The server was not found or was not accessible. Verify that the instance name is correct and that SQL Server is configured to allow remote connections. 

 

Моля :(

0
Pilgrimage avatar Pilgrimage 513 Точки

Аз използвам MS SQL Server 2016 Localdb, който се инсталира заедно с VS2015/VS2017  и нямам проблеми.
Connection string-a ми (за Lab 05+) е :
connectionString = @"Server=(localdb)\MSSQLLocalDB;Database=ShopDb;Integrated Security=True;"

Ако се наложи да се инсталира пълноценен SQL Server - тогава ще му мисля...
Защото работя под Windows 7 и ще трябва да инсталирам 2014 Express.

За да провериш какво имаш, припомни си :

https://softuni.bg/downloads/svn/DB-Fundamentals/DB-Basics-MSSQL/Jan-2017/01.%20DB-Basics-MSSQL-Introduction-to-Databases/01.%20DB-Basics-MSSQL-Introduction-to-Databases-Exercises-Lab-Win7.docx

0
22/09/2017 18:39:57
Lyubozar avatar Lyubozar 47 Точки

Провери какъв Server name си сложил в SQL Server Managment Studio и го сложи него в connectionString

0
Lyubozar avatar Lyubozar 47 Точки

Има ли някакъв проблем да използваме версия 1.1.3 или е по-добре да инсталирам SDK 2.0 и да използвам 2.0? Ще има ли някаква разлика в синтаксиса, който ще използваме?

0